//
//  tank
//
//  Import and Playlist Daemon for autoradio project
//
//
//  Copyright (C) 2017-2019 Christian Pointner <equinox@helsinki.at>
//
//  This file is part of tank.
//
//  tank is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  any later version.
//
//  tank is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with tank. If not, see <http://www.gnu.org/licenses/>.
//

package auth

import (
	"os"
)

type SessionConfig struct {
	AuthKey string `json:"auth-key" yaml:"auth-key" toml:"auth-key"`
	EncKey  string `json:"enc-key" yaml:"enc-key" toml:"enc-key"`
}

type Config struct {
	Sessions SessionConfig `json:"sessions" yaml:"sessions" toml:"sessions"`
}

func (c *Config) ExpandEnv() {
	c.Sessions.AuthKey = os.ExpandEnv(c.Sessions.AuthKey)
	c.Sessions.EncKey = os.ExpandEnv(c.Sessions.EncKey)
}
