//
//  tank
//
//  Import and Playlist Daemon for autoradio project
//
//
//  Copyright (C) 2017-2019 Christian Pointner <equinox@helsinki.at>
//
//  This file is part of tank.
//
//  tank is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  any later version.
//
//  tank is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with tank. If not, see <http://www.gnu.org/licenses/>.
//

package auth

import (
	"errors"
	"time"

	"github.com/gorilla/securecookie"
)

type Session struct {
	sealer *securecookie.SecureCookie

	Expires  time.Time
	Username string
	Groups   []string
}

func (s *Session) Seal() ([]byte, error) {
	return nil, errors.New("not yet implemented")
}

func (s *Session) Unseal([]byte) error {
	return errors.New("not yet implemented")
}

func (s *Session) Expired() bool {
	return time.Now().Before(s.Expires)
}
